INTERFACE
SUBROUTINE APL2PHY ( KIDIA , KFDIA , KLON ,&
 & KTDIA , KLEV , KPOSI , KGL1 , KGL2 , KVCLIA ,&
 & KVCLIG , KVCLIS , KVCLIV , KNEBH , KSTART , KSTEP ,&
 & KSGST , KCSS , KWORK ,&
 & PLAND , PTSOC ,&
 & PAPHI , PAPRS , PAPHIF , PAPRSF , PALPH , PARG , PD2 ,&
 & PDELP , PIVEG , PLAI , PLNPR , PRDELP , PRSMIN , PSAB ,&
 & PGZ0H , PAESEA , PAELAN , PAEURB , PAEDES , PRCORI ,&
 & PGCHSS , PGEVAP , PGICFR , PGIRUP , PGSOUP , PGTAUX , PGTAUY ,&
 & PU , PV , PT , PQ , PQI , PQL , PO3 ,&
 & PCP , PCVGQ , PR , PKOZO , PSGST , PNEBH ,&
 & PSNS , PALBNS , PRHONS ,&
 & PTP , PTS , PWL , PWP , PWPI , PWS , PWSI ,&
 & PHV ,&
 & PTC ,&
 & PWC , PVERVEL, PEMTD , PEMTU , PTRSO , PCLON , PSLON ,&
 & PALBF , PALBSF , PEMISF , PGETRL , PLSM , PVEG0 ,&
 & PGZ0F , PGZ0RLF, PVRLAN ,&
 & PVRLDI , PMU0 , PMU0LU , PMU0M , PGEMU , PWORK , PGM ,&
 & POMPAC , PAC , PCOR , PMMU0 , PDHSF ,&
 & PRAB3C , PRAB3N , PRAB4C , PRAB4N , PRAB6C , PRAB6N ,&
 & PRAT1C , PRAT1N , PRAT2C , PRAT2N , PRAT3C , PRAT3N ,&
 & PRAT4C , PRAT4N , PRAT5C , PRAT5N,&
 & PDIFCQ , PDIFCQN, PDIFCQL, PDIFCS , PDIFTQ , PDIFTQN, PDIFTQL,&
 & PDIFTS , PFCCQL , PFCCQN , PFCSQL , PFCSQN , PFCQNG , PFCQNNG,&
 & PFCQLNG, PFPLCL , PFPLCN , PFPLSL , PFPLSN , PFRSO , PFRSOC ,&
 & PFRTH , PFRTHC , PSTRCU , PSTRCV , PSTRDU , PSTRDV , PSTRTU ,&
 & PSTRTV , PSTRMU , PSTRMV , PFRMH , PFCHOZ , PCPS , PLHS ,&
 & PRS , PLH , PLSCPE , PNEB , PQICE , PQLI , PQSAT ,&
 & PQW , PRH , PTW , PALB , PCD , PCDN , PCH ,&
 & PC1 , PC2 , PCT , PEMIS , PFCHSP , PFCLL , PFCLN ,&
 & PFCS , PFEVI , PFEVL , PFEVN , PFEVV , PFTR , PFLWSP ,&
 & PFONTE , PFGEL , PFGELS ,&
 & PFRSODS, PFRSOPS, PFRSOPT, PFRSOLU, PFRTHDS, PGZ0 , PNEIJ , PVEG ,&
 & PQS ,&
 & PQSATS , PRUISL , PRUISP , PRUISS , PUCLS , PVCLS , PTCLS ,&
 & PQCLS , PRHCLS , PCLCT , PCLCH , PCLCM , PCLCL , PCLCC ,&
 & P2FPLCL ,P2FPLCN ,P2FPLSL ,P2FPLSN ,&
 & P2FRSO ,P2FRTH ,&
 & P2STRDU ,P2STRDV ,P2STRTU ,P2STRTV ,&
 & P2FCLL ,P2FCLN ,P2FCS ,P2FEVL ,P2FEVN ,&
 & P2FRTHDS,&
 & P2RUISP ,P2RUISS ,&
 & P2TCLS ,&
 & P1FPLCL ,P1FPLCN ,P1FPLSL ,P1FPLSN ,P1FRSO ,P1FRTH ,&
 & P1C1 ,P1C2 ,P1CT ,P1FCHSP ,P1FCLL ,P1FCLN ,P1FCS ,&
 & P1FEVI ,P1FEVL ,P1FEVN ,P1FEVV ,P1FTR ,P1FLWSP ,P1FONTE ,&
 & P1FGEL ,&
 & P1FGELS ,P1VEG ,&
 & P1RUISL ,P1RUISP ,P1RUISS ,&
 & CDLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMB ,NPROMC
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KVCLIS
INTEGER(KIND=JPIM),INTENT(IN) :: KNEBH
INTEGER(KIND=JPIM),INTENT(IN) :: KSGST
INTEGER(KIND=JPIM),INTENT(IN) :: KCSS
INTEGER(KIND=JPIM),INTENT(IN) :: KWORK
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM) :: KTDIA
INTEGER(KIND=JPIM) :: KPOSI
INTEGER(KIND=JPIM) :: KGL1
INTEGER(KIND=JPIM) :: KGL2
INTEGER(KIND=JPIM),INTENT(IN) :: KVCLIA
INTEGER(KIND=JPIM),INTENT(IN) :: KVCLIG
INTEGER(KIND=JPIM) :: KVCLIV
INTEGER(KIND=JPIM) :: KSTART
INTEGER(KIND=JPIM) :: KSTEP
REAL(KIND=JPRB) ,INTENT(IN) :: PLAND(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSOC(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PARG(KLON)
REAL(KIND=JPRB) :: PD2(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KLON,KLEV)
REAL(KIND=JPRB) :: PIVEG(KLON)
REAL(KIND=JPRB) :: PLAI(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRSMIN(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSAB(KLON)
REAL(KIND=JPRB) :: PGZ0H(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PAESEA(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PAELAN(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PAEURB(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PAEDES(KLON)
REAL(KIND=JPRB) :: PRCORI(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGCHSS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEVAP(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGICFR(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGIRUP(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSOUP(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGTAUX(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGTAUY(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PO3(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCVGQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PKOZO(KLON,KLEV,KVCLIS)
REAL(KIND=JPRB) ,INTENT(IN) :: PSGST(KLON,KSGST)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNEBH(KLON,KNEBH)
REAL(KIND=JPRB) ,INTENT(IN) :: PSNS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBNS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PRHONS(KLON)
REAL(KIND=JPRB) :: PTP(KLON,KCSS)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWL(KLON)
REAL(KIND=JPRB) :: PWP(KLON)
REAL(KIND=JPRB) :: PWPI(KLON)
REAL(KIND=JPRB) :: PWS(KLON)
REAL(KIND=JPRB) :: PWSI(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PHV(KLON)
REAL(KIND=JPRB) :: PTC(KLON)
REAL(KIND=JPRB) :: PWC(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVERVEL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMTD(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMTU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTRSO(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLON(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLON(KLON)
REAL(KIND=JPRB) :: PALBF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBSF(KLON)
REAL(KIND=JPRB) :: PEMISF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGETRL(KLON)
REAL(KIND=JPRB) :: PLSM(KLON)
REAL(KIND=JPRB) :: PVEG0(KLON)
REAL(KIND=JPRB) :: PGZ0F(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGZ0RLF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRLAN(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRLDI(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0LU(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0M(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWORK(KWORK)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(KLON)
REAL(KIND=JPRB) :: POMPAC(KLON,0:KLEV,0:KLEV)
REAL(KIND=JPRB) :: PAC(KLEV+1,KLEV+1)
REAL(KIND=JPRB) :: PCOR(KLON,KLEV)
REAL(KIND=JPRB) :: PMMU0(KLON)
REAL(KIND=JPRB) :: PDHSF(KLON)
REAL(KIND=JPRB) :: PRAB3C(KLON,KLEV)
REAL(KIND=JPRB) :: PRAB3N(KLON,KLEV)
REAL(KIND=JPRB) :: PRAB4C(KLON,KLEV)
REAL(KIND=JPRB) :: PRAB4N(KLON,KLEV)
REAL(KIND=JPRB) :: PRAB6C(KLON,KLEV)
REAL(KIND=JPRB) :: PRAB6N(KLON,KLEV)
REAL(KIND=JPRB) :: PRAT1C(KLON,KLEV)
REAL(KIND=JPRB) :: PRAT1N(KLON,KLEV)
REAL(KIND=JPRB) :: PRAT2C(KLON,KLEV)
REAL(KIND=JPRB) :: PRAT2N(KLON,KLEV)
REAL(KIND=JPRB) :: PRAT3C(KLON,KLEV)
REAL(KIND=JPRB) :: PRAT3N(KLON,KLEV)
REAL(KIND=JPRB) :: PRAT4C(KLON,KLEV)
REAL(KIND=JPRB) :: PRAT4N(KLON,KLEV)
REAL(KIND=JPRB) :: PRAT5C(KLON,KLEV)
REAL(KIND=JPRB) :: PRAT5N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCQ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCQN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCQL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTQ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTQN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTQL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCCQL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCCQN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCSQL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCSQN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCQNG(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCQNNG(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCQLNG(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRSO(KLON,0:KLEV,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRSOC(KLON,0:1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRTH(KLON,0:KLEV,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRTHC(KLON,0:1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRCU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRCV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRDU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRDV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRTU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRTV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRMU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRMV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRMH(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCHOZ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCPS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLHS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLSCPE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNEB(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQICE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQLI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQSAT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQW(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTW(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALB(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCD(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCDN(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCH(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PC1(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PC2(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCT(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCHSP(KLON,KCSS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCLL(KLON,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCLN(KLON,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCS(KLON,KSGST+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PFEVI(KLON,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEVL(KLON,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEVN(KLON,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEVV(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFTR(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFLWSP(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFONTE(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFGEL(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFGELS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRSODS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRSOPS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRSOPT(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRSOLU(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRTHDS(KLON)
REAL(KIND=JPRB) :: PGZ0(KLON)
REAL(KIND=JPRB) :: PNEIJ(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVEG(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQSATS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRUISL(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRUISP(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRUISS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUCLS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVCLS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTCLS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQCLS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRHCLS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLCT(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLCH(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLCM(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLCL(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLCC(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: P2FPLCL(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P2FPLCN(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P2FPLSL(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P2FPLSN(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P2FRSO(NPROMB,KSGST+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: P2FRTH(NPROMB,KSGST+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: P2STRDU(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P2STRDV(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P2STRTU(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P2STRTV(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P2FCLL(NPROMB,KSGST+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: P2FCLN(NPROMB,KSGST+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: P2FCS(NPROMB,KSGST+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: P2FEVL(NPROMB,KSGST+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: P2FEVN(NPROMB,KSGST+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: P2FRTHDS(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P2RUISP(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P2RUISS(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P2TCLS(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1FPLCL(NPROMB,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1FPLCN(NPROMB,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1FPLSL(NPROMB,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1FPLSN(NPROMB,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1FRSO(NPROMB,0:KLEV,KSGST+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1FRTH(NPROMB,0:KLEV,KSGST+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1C1(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1C2(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1CT(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1FCHSP(NPROMB,KCSS)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1FCLL(NPROMB,KSGST+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1FCLN(NPROMB,KSGST+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1FCS(NPROMB,KSGST+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1FEVI(NPROMB,KSGST+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1FEVL(NPROMB,KSGST+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1FEVN(NPROMB,KSGST+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1FEVV(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1FTR(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1FLWSP(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1FONTE(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1FGEL(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1FGELS(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1VEG(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1RUISL(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1RUISP(NPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: P1RUISS(NPROMB)
CHARACTER(LEN=7) ,INTENT(IN) :: CDLOCK
END SUBROUTINE APL2PHY
END INTERFACE
